using System;

internal sealed class Delegate834 : MulticastDelegate
{
	public extern object Invoke(object object_0, int int_0);

	public static object smethod_0(object object_0, int int_0, Delegate834 delegate834_1)
	{
		return delegate834_1(object_0, int_0);
	}

	public extern Delegate834(object object_0, IntPtr intptr_0);

	static Delegate834()
	{
		Class10.smethod_13(typeof(Delegate834).TypeHandle);
	}

	internal static Delegate834 delegate834_0;
}
